/* This software is contributed or developed by KYOCERA Corporation. */
/* (C) 2011 KYOCERA Corporation                                      */

#ifndef _SMEM_FOTA_H_
#define _SMEM_FOTA_H_

#define SMEM_FOTA_INFO_SIZE 128

struct smem_fota_ioctl_info {
	unsigned char offset;
	unsigned char size;
	unsigned char data[SMEM_FOTA_INFO_SIZE];
};

#define IOC_MAGIC 0xF5
#define IOCTL_SMEM_FOTA_READ_CMD  _IOR(IOC_MAGIC, 1, struct smem_fota_ioctl_info)
#define IOCTL_SMEM_FOTA_WRITE_CMD _IOW(IOC_MAGIC, 2, struct smem_fota_ioctl_info)


#endif
