/* This software is contributed or developed by KYOCERA Corporation. */
/* (C) 2011 KYOCERA Corporation                                      */

#ifndef HS_PL_TABLE_PROC_H
#define HS_PL_TABLE_PROC_H

#include  "hs_pl_table_util.h"
#include  "hs_pl_table.h"

#ifdef  FEATURE_KYOCERA_DEV_PLTBL
extern  PL_IMAGE_TABLE    *pltable;
extern  PL_SWITCH_TABLE   pl_sw_table[HS_PL_TABLE_END];

extern  u_short PLTable_table_setting( void );
extern  u_long  PLTable_real_address( u_long logi_addr );
extern  u_long  PLTable_real_block( u_long logi_blkno );
extern  u_long  PLTable_real_page( u_long logi_pno );
extern  u_long  PLTable_bad_recovery( u_long bad_addr );

u_short  pltable_table_make( void );
u_long   pltable_get_real( u_long logi_blkno );
u_long   pltable_search_spare( u_long bad_addr );
u_short  pltable_put_real( u_long bad_addr, u_long new_addr );
u_short  pltable_is_area( u_short blkno, u_short *cont, u_short *plsw );

#endif
#endif
